<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
?>
<?php
	if (!defined("IGNX")) { die("Attempt..."); }

function menu_canales($parent,$nivel)
{
	$q = myquery("SELECT * FROM ".CANALES." WHERE canID<>0 AND parent='".$parent."' ORDER BY orden ASC, nombre, nombre_1, nombre_2, nombre_3, nombre_4, nombre_5","[menu_canales=1]");
	$nom_can = array();
	while ($row = myfetch($q))
	{
					
		if (IDIOMA_ACTUAL == 0)
		{		
			$row["nombre"] = $row["nombre"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre"] );
			$row["titulo"] = salida_popups( $row["nombre"] );
			
		} else if (IDIOMA_ACTUAL == 1) {
		
			$row["nombre"] = $row["nombre_1"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_1"] );
			$row["titulo"] = salida_popups( $row["nombre_1"] );
		
		} else if (IDIOMA_ACTUAL == 2) {
		
			$row["nombre"] = $row["nombre_2"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_2"] );
			$row["titulo"] = salida_popups( $row["nombre_2"] );
		
		} else if (IDIOMA_ACTUAL == 3) {
		
			$row["nombre"] = $row["nombre_3"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_3"] );
			$row["titulo"] = salida_popups( $row["nombre_3"] );
		
		} else if (IDIOMA_ACTUAL == 4) {
		
			$row["nombre"] = $row["nombre_4"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_4"] );
			$row["titulo"] = salida_popups( $row["nombre_4"] );
		
		} else if (IDIOMA_ACTUAL == 5) {
		
			$row["nombre"] = $row["nombre_5"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_5"] );
			$row["titulo"] = salida_popups( $row["nombre_5"] );
		
		}

			$row["nivel"] = $nivel;
			
			// buscar si hay contenido para mostrar
			if ($row["canal_tipo"] == 1)
			{
				$q1 = myquery("SELECT * FROM ".IMAGENES." WHERE canID='".$row["canID"]."' AND mostrar=1","[menu_canales=2]");
				$contq1 = mynumrows($q1);
			
			} else if ($row["canal_tipo"] == 2)
			{
				$q1 = myquery("SELECT * FROM ".ARCHIVOS." WHERE canID='".$row["canID"]."' AND mostrar=1","[menu_canales=3]");
				$contq1 = mynumrows($q1);
			
			} else if ($row["canal_tipo"] == 3) // videos
			{			
				$q1 = myquery("SELECT * FROM ".MULTIMEDIA." WHERE canID='".$row["canID"]."' AND mostrar=1 AND (tipo=1 OR tipo=3)","[menu_canales=4]");
				$contq1 = mynumrows($q1);
			
			} else if ($row["canal_tipo"] == 4) // sonidos
			{			
				$q1 = myquery("SELECT * FROM ".MULTIMEDIA." WHERE canID='".$row["canID"]."' AND mostrar=1 AND (tipo=2 OR tipo=4)","[menu_canales=5]");
				$contq1 = mynumrows($q1);
			
			}
						
			if ($contq1 >= 1)
			{
				$nom_can[] = $row;
			}
			
			// subcanales
			$nom_sub = menu_canales($row["canID"],$nivel+1);
			for ($n=0; $n<count($nom_sub); $n++)
			{
				if ($contq1 >= 1)
				{
					$nom_can[] = $nom_sub[$n];
				}
			}
	
	}
	return $nom_can;

}

	$salida_menu_canales = menu_canales(0,0);
	
	// Smarty
	$smarty->assign("salida_menu_canales", $salida_menu_canales);
	
	
?>